﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.78
@EndOfDesignText@
#IgnoreWarnings: 12

Sub Class_Globals
	
	Dim BANano As BANano 'ignore
	
	Dim CircleObject As BANanoObject
	
	Dim L As BANanoObject

End Sub

'
'Initializes the circle with no dimensions
Public Sub Initialize()
	L.Initialize("L")
	CircleObject = L.RunMethod("circle", Array(Array(0, 0), CreateMap("radius": 0)))
End Sub


'
'Initializes the circle based on a Latitude-Coordinate, a Longitude-Coordinate and a radius
Public Sub Initialize2(Lat As Double, Lng As Double, Radius As Double)
	L.Initialize("L")
	CircleObject = L.RunMethod("circle", Array(Array(Lat, Lng), CreateMap("radius": Radius)))
End Sub

'
'Initializes the circle based on a LatLng-Object and a radius
Public Sub Initialize3(LatLng As BANanoLeafletLatLng, Radius As Double)
	L.Initialize("L")
	CircleObject = L.RunMethod("circle", Array(LatLng.LatLngObject, CreateMap("radius": Radius)))
End Sub

'
'Returns the bounds of this circle
Public Sub GetBounds() As BANanoLeafletLatLngBounds
	Dim ReturnValue As BANanoLeafletLatLngBounds
	ReturnValue.LatLngBoundsObject = CircleObject.RunMethod("getBounds", Null)
	Return ReturnValue
End Sub

'
'Returns the radius of this circle
Public Sub GetRadius() As Double
	Return CircleObject.RunMethod("getRadius", Null)
End Sub

'
'Sets the radius of this circle
Public Sub SetRadius(Radius As Double)
	CircleObject.RunMethod("setBounds", Radius)
End Sub

'
'Sets the tooltip of this circle
Sub SetTooltip(Tooltip As String)
	If Tooltip = "" Then
		CircleObject.RunMethod("unbindTooltip", Null)
	Else
		CircleObject.RunMethod("bindTooltip", Tooltip)
	End If
End Sub

'
'Sets the style of this circle
Sub SetStyle(Style As String)
	CircleObject.RunMethod("setStyle", BANano.RunInlineJavascriptMethod("JSON.parse", Array(Style)))
End Sub